package com.ejie.ab04b.model.toolbar;

import java.io.Serializable;
import java.util.List;

/**
 * 
 * @author GFI-NORTE
 * 
 */
public class Boton implements Serializable {
	
	/**
	 * Instantiates a new boton.
	 * 
	 *  i18nCaption            String
	 *  id            String
	 *
	 * @param i18nCaption the i 18 n caption
	 * @param id the id
	 */
	public Boton(String i18nCaption, String id) {
		super();
		this.i18nCaption = i18nCaption;
		this.id = id;
	}

	private static final long serialVersionUID = 1L;

	private String i18nCaption;
	private String id;
	private List<Boton> buttons;

	/**
	 * Gets the i 18 n caption.
	 * 
	 *  String
	 *
	 * @return the i 18 n caption
	 */
	public String getI18nCaption() {
		return this.i18nCaption;
	}

	/**
	 * Sets the i 18 n caption.
	 * 
	 *  i18nCaption            String
	 *
	 * @param i18nCaption the new i 18 n caption
	 */
	public void setI18nCaption(String i18nCaption) {
		this.i18nCaption = i18nCaption;
	}

	/**
	 * Gets the id.
	 * 
	 *  the id
	 *
	 * @return the id
	 */
	public String getId() {
		return this.id;
	}

	/**
	 * Sets the id.
	 * 
	 *  id            the id to set
	 *
	 * @param id the new id
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Gets the buttons.
	 * 
	 *  buttons List<Boton>
	 *
	 * @return the buttons
	 */
	public List<Boton> getButtons() {
		return this.buttons;
	}

	/**
	 * Sets the buttons.
	 * 
	 *  buttons            List<Boton>
	 *
	 * @param buttons the new buttons
	 */
	public void setButtons(List<Boton> buttons) {
		this.buttons = buttons;
	}

}
